{include="header"}

<script type="text/javascript">
   $(document).ready(function() {
      $("#b_nuevo_ejercicio").click(function(event) {
         event.preventDefault();
         $("#modal_nuevo_ejercicio").modal('show');
         document.f_nuevo_ejercicio.codejercicio.focus();
      });
   });
</script>

<div class="container">
   <div class="row">
      <div class="col-sm-12">
         <div class="page-header">
            <h1>
               Ejercicios
               <a class="btn btn-xs btn-default" href="{$fsc->url()}" title="Recargar la página">
                  <span class="glyphicon glyphicon-refresh"></span>
               </a>
               <span class="btn-group">
                  <a id="b_nuevo_ejercicio" class="btn btn-xs btn-success" href="#">
                     <span class="glyphicon glyphicon-plus"></span> &nbsp; Nuevo
                  </a>
                  {loop="$fsc->extensions"}
                     {if="$value->type=='button'"}
                     <a href="index.php?page={$value->from}{$value->params}" class="btn btn-xs btn-default">{$value->text}</a>
                     {/if}
                  {/loop}
               </span>
            </h1>
            <p class="help-block">
               Los ejercicios contables se crean conforme se necesitan. Si por ejemplo
               creas una factura para el 01-05-2017, se buscará el ejercicio que corresponda
               a esa fecha. Si no se encuentra se creará automáticamente.
            </p>
         </div>
      </div>
   </div>
   <div class="row">
      <div class="col-sm-12">
         <div class="table-responsive">
            <table class="table table-hover">
               <thead>
                  <tr>
                     <th class="text-left">Código + Nombre</th>
                     <th class="text-center">Fecha de inicio</th>
                     <th class="text-center">Fecha fin</th>
                     <th class="text-right">Estado</th>
                  </tr>
               </thead>
               {loop="$fsc->ejercicio->all()"}
               <tr class="clickableRow{if="!$value->abierto()"} warning{/if}" href="">
                  <td>
                     <a href="">{$value->codejercicio}</a> {$value->nombre}
                     {if="$value->is_default()"}
                     &nbsp; <span class="label label-info">Predeterminado</span>
                     {/if}
                  </td>
                  <td class="text-center">{$value->fechainicio}</td>
                  <td class="text-center">{$value->fechafin}</td>
                  <td class="text-right">{$value->estado}</td>
               </tr>
               {else}
               <tr class="warning">
                  <td colspan="4">Sin resultados.</td>
               </tr>
               {/loop}
            </table>
         </div>
      </div>
   </div>
</div>

<form class="form-horizontal" role="form" name="f_nuevo_ejercicio" action="{$fsc->url()}" method="POST">
   <div class="modal" id="modal_nuevo_ejercicio">
      <div class="modal-dialog">
         <div class="modal-content">
            <div class="modal-header">
               <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
               <h4 class="modal-title">Nuevo ejercicio</h4>
            </div>
            <div class="modal-body">
               <div class="form-group">
                  <label class="col-sm-2 control-label">Código</label>
                  <div class="col-sm-10">
                     <input class="form-control" type="text" name="codejercicio" value="{$fsc->ejercicio->get_new_codigo()}" maxlength="4" autocomplete="off"/>
                  </div>
               </div>
               <div class="form-group">
                  <label class="col-sm-2 control-label">Nombre</label>
                  <div class="col-sm-10">
                     <input class="form-control" type="text" name="nombre" autocomplete="off"/>
                  </div>
               </div>
               <div class="form-group">
                  <label class="col-sm-2 control-label">Fecha de inicio</label>
                  <div class="col-sm-10">
                     <input class="form-control datepicker" type="text" name="fechainicio" value="{$fsc->ejercicio->fechainicio}" autocomplete="off"/>
                  </div>
               </div>
               <div class="form-group">
                  <label class="col-sm-2 control-label">Fecha fin</label>
                  <div class="col-sm-10">
                     <input class="form-control datepicker" type="text" name="fechafin" value="{$fsc->ejercicio->fechafin}" autocomplete="off"/>
                  </div>
               </div>
               <div class="form-group">
                  <label class="col-sm-2 control-label">Estado</label>
                  <div class="col-sm-10">
                     <select name="estado" class="form-control">
                        <option value="ABIERTO">ABIERTO</option>
                        <option value="CERRADO">CERRADO</option>
                     </select>
                   </div>
               </div>
            </div>
            <div class="modal-footer">
               <button class="btn btn-sm btn-primary" type="submit" onclick="this.disabled=true;this.form.submit();">
                   <span class="glyphicon glyphicon-floppy-disk"></span> &nbsp; Guardar
                </button>
            </div>
         </div>
      </div>
   </div>
</form>

{include="footer"}
